Subject: Re: Mail reader with Perl hooks?

From: [email-masked] (Mike Stok)
Date: 16 Nov 1994 16:30:05 -0500

In article <[email-masked]>,  <[email-masked]> wrote:
>
>Randle mentioned mailagent to me in private mail - we are using that.  I
>am looking for something that reads mail msgs from a mailbox.  Like a Mail,
>elm, mh, etc. only that allows user written perl internal commands, etc.
>
>Randle also pointed me to plum and I have looked at it.  Just looking
>to see what else is there - in particular something with some doc
><wink> and that takes advantage of Perl 5 hopefully.

There is the c-client library that comes with the Pine distribution which 
does stuff to do with mail reading in various mail box formats and can 
also handle remote mail boxes through IMAP and possibly POP 3 (but I'm 
not sure about the POP bit).  It should be easy to turn into a perl5 
extension (he said glibly having not even glanced over the code 'cos Pine 
works out of the box :-)... then using Curses or Tk or whatever a perl 
mailreader would be do-able.  The honourable thing to do here would be to 
volunteer to look at it, but various personal things & the looming 
festive season mean I'd be even slower to get to it than usual.

Anyway I've cross-posted to comp.mail.pine in case one of the developers 
feels like illuminating the c-client library.

Mike

-- 
The "usual disclaimers" apply.    | Meiko
Mike Stok                         | 130C Baker Ave. Ext
[email-masked]     | Concord, MA 01742
Meiko tel: (508) 371 0088 x124    |